Update Content Source

Update Content Source
Update content source

Update content source

Request
URI
PATCH
https://{vcfa-fqdn}/content/api/sources/{id}
COPY
Path Parameters
string
id
Required  

id

Query Parameters
string
apiVersion
Optional

The version of the API in yyyy-MM-dd format (UTC). For versioning information, please refer to /content/api/about


Request Body
ContentSourceConfig of type(s) application/json
Required  

Show optional properties

{
    "requestScopeOrg": false
}
{
    "contentType": "string",
    "pushSyncEnabled": false,
    "integrationId": "string",
    "repository": "string",
    "branch": "string",
    "path": "string",
    "endpointId": "string",
    "requestScopeOrg": false
}
string
contentType
Read-Only  

Configuration type

boolean
pushSyncEnabled
Read-Only  

Is push synchronization enabled

string
integrationId
Read-Only  

Id of the integration

string
repository
Read-Only  

Content source repository

string
branch
Read-Only  

Repository branch

string
path
Read-Only  

Folder path

string
endpointId
Read-Only  

Endpoint Id

boolean
requestScopeOrg
Required  

Share content source across org

Authentication
This operation uses the following authentication methods.
Responses
200

Content source updated

Returns ContentSource of type(s) application/json
{
    "id": "string",
    "name": "string",
    "description": "string",
    "typeId": "string",
    "createdAt": "string",
    "createdBy": "string",
    "lastUpdatedAt": "string",
    "lastUpdatedBy": "string",
    "projectId": "string",
    "config": {},
    "orgId": "string",
    "syncEnabled": false
}
string As uuid As uuid
id
Required  

Content Source id

string
name
Required  

Content Source name

string
description
Optional

Content Source description

string
typeId
Required  

Content Source type

Enumeration: com.github, com.github.enterprise, com.gitlab, com.gitlab.enterprise, org.bitbucket
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

string
projectId
Required  

Associated projects

object
config
Optional

config

string
orgId
Read-Only  

Associated org

boolean
syncEnabled
Optional

Is Sync Enabled


401

Unauthorized

Returns ContentSource of type(s) application/json
{
    "id": "string",
    "name": "string",
    "description": "string",
    "typeId": "string",
    "createdAt": "string",
    "createdBy": "string",
    "lastUpdatedAt": "string",
    "lastUpdatedBy": "string",
    "projectId": "string",
    "config": {},
    "orgId": "string",
    "syncEnabled": false
}
string As uuid As uuid
id
Required  

Content Source id

string
name
Required  

Content Source name

string
description
Optional

Content Source description

string
typeId
Required  

Content Source type

Enumeration: com.github, com.github.enterprise, com.gitlab, com.gitlab.enterprise, org.bitbucket
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

string
projectId
Required  

Associated projects

object
config
Optional

config

string
orgId
Read-Only  

Associated org

boolean
syncEnabled
Optional

Is Sync Enabled


403

Forbidden

Returns ContentSource of type(s) application/json
"ContentSource Object"
string As uuid As uuid
id
Required  

Content Source id

string
name
Required  

Content Source name

string
description
Optional

Content Source description

string
typeId
Required  

Content Source type

Enumeration: com.github, com.github.enterprise, com.gitlab, com.gitlab.enterprise, org.bitbucket
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

string
projectId
Required  

Associated projects

object
config
Optional

config

string
orgId
Read-Only  

Associated org

boolean
syncEnabled
Optional

Is Sync Enabled


404

Not Found

Returns ContentSource of type(s) application/json
"ContentSource Object"
string As uuid As uuid
id
Required  

Content Source id

string
name
Required  

Content Source name

string
description
Optional

Content Source description

string
typeId
Required  

Content Source type

Enumeration: com.github, com.github.enterprise, com.gitlab, com.gitlab.enterprise, org.bitbucket
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

string
projectId
Required  

Associated projects

object
config
Optional

config

string
orgId
Read-Only  

Associated org

boolean
syncEnabled
Optional

Is Sync Enabled


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"requestScopeOrg":"boolean"}'